<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__scb__uart__low__level__functions" kind="group">
    <compoundname>group_scb_uart_low_level_functions</compoundname>
    <title>Low-Level</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__scb__uart__low__level__functions_1gae8eba8924ed4b8add6e7cabdf25a18fe" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_UART_Put</definition>
        <argsstring>(CySCB_Type *base, uint32_t data)</argsstring>
        <name>Cy_SCB_UART_Put</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>data</declname>
        </param>
        <briefdescription>
<para>Places a single data element in the UART TX FIFO. </para>        </briefdescription>
        <detaileddescription>
<para>This function does not block and returns how many data elements were placed in the TX FIFO.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>data</parametername>
</parameternamelist>
<parameterdescription>
<para>Data to put in the TX FIFO. The element size is defined by the data type, which depends on the configured data width.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The number of data elements placed in the TX FIFO: 0 or 1. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1281" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="1278" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="618" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__uart__low__level__functions_1ga242ad51b987fa6ccfc23f3471182ce36" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_UART_PutArray</definition>
        <argsstring>(CySCB_Type *base, void *buffer, uint32_t size)</argsstring>
        <name>Cy_SCB_UART_PutArray</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>buffer</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Places an array of data in the UART TX FIFO. </para>        </briefdescription>
        <detaileddescription>
<para>This function does not block. It returns how many data elements were placed in the TX FIFO.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>buffer</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to data to place in the TX FIFO. The element size is defined by the data type, which depends on the configured TX data width.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of data elements to TX.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The number of data elements placed in the TX FIFO. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1312" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="1307" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="619" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__uart__low__level__functions_1gac709dbaa61ae25a05086124f1ffaa0d7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_UART_PutArrayBlocking</definition>
        <argsstring>(CySCB_Type *base, void *buffer, uint32_t size)</argsstring>
        <name>Cy_SCB_UART_PutArrayBlocking</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>buffer</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Places an array of data in the UART TX FIFO. </para>        </briefdescription>
        <detaileddescription>
<para>This function blocks until the number of data elements specified by the size is placed in the TX FIFO.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>buffer</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to data to place in the TX FIFO. The element size is defined by the data type, which depends on the configured data width.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of data elements to write into the TX FIFO. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1340" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="1335" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="620" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__uart__low__level__functions_1ga4092c34575a47087e08a58529451914b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_UART_PutString</definition>
        <argsstring>(CySCB_Type *base, char_t const string[])</argsstring>
        <name>Cy_SCB_UART_PutString</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__syslib__macros_1ga40bb5262bf908c328fbcfbe5d29d0201">char_t</ref> const</type>
          <declname>string</declname>
          <array>[]</array>
        </param>
        <briefdescription>
<para>Places a NULL terminated string in the UART TX FIFO. </para>        </briefdescription>
        <detaileddescription>
<para>This function blocks until the entire string is placed in the TX FIFO.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>string</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the null terminated string array. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1362" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="1357" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="621" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__uart__low__level__functions_1gab26a75a58d128e402f3bba6ff2bdad82" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SCB_UART_SendBreakBlocking</definition>
        <argsstring>(CySCB_Type *base, uint32_t breakWidth)</argsstring>
        <name>Cy_SCB_UART_SendBreakBlocking</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>breakWidth</declname>
        </param>
        <briefdescription>
<para>Sends a break condition (logic low) of specified width on UART TX line. </para>        </briefdescription>
        <detaileddescription>
<para>Blocks until break is completed. Only call this function when UART TX FIFO and shifter are empty.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>breakWidth</parametername>
</parameternamelist>
<parameterdescription>
<para>Width of break condition. Valid range is the TX data width (4 to 16 bits)</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Before sending break all UART TX interrupt sources are disabled. The state of UART TX interrupt sources is restored before function returns.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Side Effects</title><para>If this function is called while there is data in the TX FIFO or shifter that data will be shifted out in packets the size of breakWidth. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1092" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_uart.c" bodystart="1060" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="622" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__uart__low__level__functions_1ga86ab3686a98a0e215c1f2eeed3ce254f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_UART_Get</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_UART_Get</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Reads a single data element from the UART RX FIFO. </para>        </briefdescription>
        <detaileddescription>
<para>This function does not check whether the RX FIFO has data before reading it. If the RX FIFO is empty, the function returns <ref kindref="member" refid="group__group__scb__uart__macros_1ga0a069371072be8673bc18bdb3523146e">CY_SCB_UART_RX_NO_DATA</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Data from the RX FIFO. The data element size is defined by the configured data width. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1110" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="1107" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="624" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__uart__low__level__functions_1ga509c3f8c4acd406d4253019d28a0eb3a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_UART_GetArray</definition>
        <argsstring>(CySCB_Type const *base, void *buffer, uint32_t size)</argsstring>
        <name>Cy_SCB_UART_GetArray</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>buffer</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Reads an array of data out of the UART RX FIFO. </para>        </briefdescription>
        <detaileddescription>
<para>This function does not block. It returns how many data elements were read from the RX FIFO.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>buffer</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the location to place the data read from the RX FIFO. The element size is defined by the data type, which depends on the configured data width.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of data elements to read from the RX FIFO.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The number of data elements read from the RX FIFO. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1141" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="1136" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="625" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__uart__low__level__functions_1ga7d45f3f8f625e2f16341a03a4078698e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_UART_GetArrayBlocking</definition>
        <argsstring>(CySCB_Type const *base, void *buffer, uint32_t size)</argsstring>
        <name>Cy_SCB_UART_GetArrayBlocking</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>buffer</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Reads an array of data out of the UART RX FIFO. </para>        </briefdescription>
        <detaileddescription>
<para>This function blocks until the number of data elements specified by the size has been read from the RX FIFO.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>buffer</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the location to place the data read from the RX FIFO. The element size is defined by the data type, which depends on the configured data width.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of data elements to read from the RX FIFO. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1169" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="1164" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="626" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__uart__low__level__functions_1ga76218bc016256d8525c9d779a4c2e9aa" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_UART_GetTxFifoStatus</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_UART_GetTxFifoStatus</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the current status of the TX FIFO. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="compound" refid="group__group__scb__uart__macros__tx__fifo__status">UART TX FIFO Statuses</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1381" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="1378" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="628" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__uart__low__level__functions_1gabd4607b147b35fbd9c47e89f77aa1f89" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_UART_ClearTxFifoStatus</definition>
        <argsstring>(CySCB_Type *base, uint32_t clearMask)</argsstring>
        <name>Cy_SCB_UART_ClearTxFifoStatus</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>clearMask</declname>
        </param>
        <briefdescription>
<para>Clears the selected statuses of the TX FIFO. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>clearMask</parametername>
</parameternamelist>
<parameterdescription>
<para>The mask whose statuses to clear. See <ref kindref="compound" refid="group__group__scb__uart__macros__tx__fifo__status">UART TX FIFO Statuses</ref> for the set of constants.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;&lt;ul&gt;&lt;li&gt;&lt;p&gt;The status is also used for interrupt generation, so clearing it also clears the interrupt sources.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Level-sensitive statuses such as &lt;a href="group__group__scb__uart__macros__tx__fifo__status.html#group__group__scb__uart__macros__tx__fifo__status_1ga084f44adc0f1fba7bc8cc63f46c8a3e6"&gt;CY_SCB_UART_TX_TRIGGER&lt;/a&gt;, &lt;a href="group__group__scb__uart__macros__tx__fifo__status.html#group__group__scb__uart__macros__tx__fifo__status_1gafb9a349f995e46583edd9cdc16efc0af"&gt;CY_SCB_UART_TX_EMPTY&lt;/a&gt; and &lt;a href="group__group__scb__uart__macros__tx__fifo__status.html#group__group__scb__uart__macros__tx__fifo__status_1ga41c603d23a12693b3b83ece75da39b54"&gt;CY_SCB_UART_TX_NOT_FULL&lt;/a&gt; are set high again after being cleared if the condition remains true. &lt;/p&gt;&lt;/li&gt;&lt;/ul&gt;&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1410" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="1405" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="629" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__uart__low__level__functions_1gaa2d783e45d8b8a9803bb5b667d71f3b9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_UART_GetRxFifoStatus</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_UART_GetRxFifoStatus</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the current status of the RX FIFO. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="compound" refid="group__group__scb__uart__macros__rx__fifo__status">UART RX FIFO status.</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1188" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="1185" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="631" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__uart__low__level__functions_1ga3f1e6aa6e686a215ab03b5d264510b3f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_UART_ClearRxFifoStatus</definition>
        <argsstring>(CySCB_Type *base, uint32_t clearMask)</argsstring>
        <name>Cy_SCB_UART_ClearRxFifoStatus</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>clearMask</declname>
        </param>
        <briefdescription>
<para>Clears the selected statuses of the RX FIFO. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>clearMask</parametername>
</parameternamelist>
<parameterdescription>
<para>The mask whose statuses to clear. See <ref kindref="compound" refid="group__group__scb__uart__macros__rx__fifo__status">UART RX FIFO status.</ref> for the set of constants.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;&lt;ul&gt;&lt;li&gt;&lt;p&gt;This status is also used for interrupt generation, so clearing it also clears the interrupt sources.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Level-sensitive statuses such as &lt;a href="group__group__scb__uart__macros__rx__fifo__status.html#group__group__scb__uart__macros__rx__fifo__status_1ga2c2ad72882685c29a4755ead9e5bcda9"&gt;CY_SCB_UART_RX_TRIGGER&lt;/a&gt;, &lt;a href="group__group__scb__uart__macros__rx__fifo__status.html#group__group__scb__uart__macros__rx__fifo__status_1gae22bfd5f13fbb141ec2f139c178a6cfd"&gt;CY_SCB_UART_RX_NOT_EMPTY&lt;/a&gt; and &lt;a href="group__group__scb__uart__macros__rx__fifo__status.html#group__group__scb__uart__macros__rx__fifo__status_1gaabd8566f82db4ca907b902c33d8610b0"&gt;CY_SCB_UART_RX_FULL&lt;/a&gt; are set high again after being cleared if the condition remains true. &lt;/p&gt;&lt;/li&gt;&lt;/ul&gt;&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1217" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="1212" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="632" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__uart__low__level__functions_1ga0f264dad00ca5fcdf668f20e35e4fcab" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_UART_GetNumInTxFifo</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_UART_GetNumInTxFifo</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the number of data elements in the UART TX FIFO. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The number of data elements in the TX FIFO. The size of date element defined by the configured data width.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This number does not include any data currently in the TX shifter. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1433" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="1430" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="634" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__uart__low__level__functions_1ga81aff78dcdc266d6cac81e714afef6c3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE bool</type>
        <definition>__STATIC_INLINE bool Cy_SCB_UART_IsTxComplete</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_UART_IsTxComplete</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Checks whether the TX FIFO and Shifter are empty and there is no more data to send. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the UART SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>If true, transmission complete. If false, transmission is not complete. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1452" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="1449" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="635" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__uart__low__level__functions_1gabc4b66b875dbc70d52adf19170d3a530" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_UART_GetNumInRxFifo</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_UART_GetNumInRxFifo</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the number of data elements in the UART RX FIFO. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The number of data elements in the RX FIFO. The size of date element defined by the configured data width. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1237" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="1234" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="637" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__uart__low__level__functions_1ga87d8e77bc0b4932906b9769ccfaff4de" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_UART_ClearRxFifo</definition>
        <argsstring>(CySCB_Type *base)</argsstring>
        <name>Cy_SCB_UART_ClearRxFifo</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Clears all data out of the UART RX FIFO. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Side Effects</title><para>Any data currently in the shifter is cleared and lost. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1255" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="1252" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="639" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__uart__low__level__functions_1gadbe05205dc0a6035395c7738b0de0dcc" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_UART_ClearTxFifo</definition>
        <argsstring>(CySCB_Type *base)</argsstring>
        <name>Cy_SCB_UART_ClearTxFifo</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Clears all data out of the UART TX FIFO. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Side Effects</title><para>The TX FIFO clear operation also clears the shift register, so that the shifter could be cleared in the middle of a data element transfer, corrupting it. The data element corruption means that all bits that have not been transmitted are transmitted as 1s on the bus. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1474" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="1471" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="640" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>